Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/streaks \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/streaks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/streaks" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "current": { "days": 3, "start_date": "2026-03-16", "total_scrobbles": 65 }, "longest": { "days": 62, "start_date": "2017-01-02", "end_date": "2017-03-04", "total_scrobbles": 3535 } }
{ "error": "Not found", "status": 404 }
Returns current and longest listening streaks.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Streak data
Show child attributes